notifier: Lower required glib version

We backported g_notification_set_category in PureOS. This can
be dropped with glib 2.70.
5 jobs for better-notifications in 6 minutes and 27 seconds (queued for 3 seconds)
Status Job ID Name Coverage
  Package
passed #367811
librem5
package-pureos-byzantium

00:02:03

passed #367812
librem5:arm64
package-pureos-byzantium:arm64

00:06:27

 
  Test Package
passed #367813
librem5
autopkgtest-pureos-byzantium-package

00:01:21

passed #367815
librem5
check-tarball

00:00:57

passed #367814
librem5
lintian-pureos-byzantium-package

00:00:45